[PEPr] Comment on Networking::Net_NTP

From: Date: Wed, 08 Sep 2004 16:42:49 +0000
Subject: [PEPr] Comment on Networking::Net_NTP
References: 1  Groups: php.pear.dev 
Request: Send a blank email to pear-dev+get-33300@lists.php.net to get a copy of this message
Cipriano Groenendal (http://pear.php.net/user/cipri) has commented on the proposal for Networking::Net_NTP. Comment: After reading the source, it seems that this packages tries to connect to the Daytime port(13), as specified in RFC 867. This RFC clearly states: There is no specific syntax for the daytime. It is recommended that it be limited to the ASCII printing characters, space, carriage return, and line feed. The daytime should be just one line. It lists the format that's parsed by the Net_NTP package, but without a standard it'll be impossible for the package to accurately parse the time. It's a nice way to get the human-readable version of the current time right away, but in NO way is it going to give 100% accurate results with all servers. The RFC also suggests to use the Time service for machine readable time, which is what you'd need in order to parse it to either humanly readable time, or a timestamp. As it stands right now, I would give this package a -1, as it's just to unreliable in its current implementation, plus it's not using the NTP(port 123). For NTP, see RFC 958 and RFC 1165 instead. Proposal information: http://pear.php.net/pepr/pepr-proposal-show.php?id=108 -- Sent by PEPr, the automatic proposal system at http://pear.php.net

« previous php.pear.dev (#33300) next »